summaryrefslogtreecommitdiff
path: root/release/scripts
diff options
context:
space:
mode:
authorJordan K. Hubbard <jkh@FreeBSD.org>1995-05-09 22:58:42 +0000
committerJordan K. Hubbard <jkh@FreeBSD.org>1995-05-09 22:58:42 +0000
commit3af7a5dc18896811c5bdd947f1af0b8e00244107 (patch)
tree4731aa44b16e96e2300711316b2d8b835018bf2a /release/scripts
parent7cd23434fe4cb60386f172416370876c6def6408 (diff)
Notes
Diffstat (limited to 'release/scripts')
-rw-r--r--release/scripts/extract_DES.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/release/scripts/extract_DES.sh b/release/scripts/extract_DES.sh
new file mode 100644
index 000000000000..a41c4721209f
--- /dev/null
+++ b/release/scripts/extract_DES.sh
@@ -0,0 +1,19 @@
+#!/bin/sh
+# $Id: extract_secure.sh,v 1.7 1995/04/20 06:49:09 phk Exp $
+set -e
+PATH=/stand:$PATH
+DDIR=/
+
+DIST=DES
+# You can't write over the running init
+if [ -f /sbin/init ]; then mv /sbin/init /sbin/init.insecure; fi
+
+cat ${DIST}.?? | gzip -c -d | ( cd $DDIR; cpio -H tar -imdu )
+
+DDIR=/usr/src
+for DIST in sebones sDES ; do
+ if [ -f ${DIST}.aa ]; then
+ echo "Extracting ${DIST} sources"
+ cat ${DIST}.?? | gzip -c -d | ( cd $DDIR; cpio -H tar -imdu )
+ fi
+done